<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Tool</title>
    <link th:href="@{/bootstrap.min.css}" rel="stylesheet"/>
    <link th:href="@{/themify-icons/themify-icons.css}" rel="stylesheet"/>
    <link th:href="@{/app.css}" rel="stylesheet"/>

</head>
<body ng-app="App" ng-controller="AppController">
<div class="padding-50 width-50 m-auto">
    <h1>Danh sách đợt</h1>
    <div class="flex flex-space-between">
        <div class="input-icon form-group no-mrg width-50">
            <i class="ti-search"></i>
            <input type="text" class="form-control m-b" ng-model="search" placeholder="Nhập ký tự tìm kiếm ..."
                   ng-enter="findErrorByName()">
        </div>
        <button class="btn btn-dropbox no-b-r" ng-click="openPopupAddErrorPentest()">
            <span>
                <i class="ti-plus"></i>
            </span>
        </button>
<!--        <button class="btn btn-dropbox no-b-r" ng-click="exportListPentest()">-->
<!--            <span>-->
<!--                <i class="ti-export"></i>-->
<!--            </span>-->
<!--        </button>-->
    </div>
    <br>
    <table class="table table-hover table-striped table-bordered">
        <thead>
        <tr>
            <th class="text-center">STT</th>
            <th class="text-center">Tên đợt</th>
            <th class="text-center">Số lượng lỗi</th>
            <th class="text-center">Action</th>
        </tr>
        </thead>
        <tbody>
        <tr ng-repeat="pentestBo in pentests">
            <td class="text-center">{{$index + 1}}</td>
            <td class="text-center">{{pentestBo.name}}</td>
            <td class="text-center">{{pentestBo.amountError}}</td>
            <td class="text-center">
                <span ng-click="addNewErrorToPentest(pentestBo)" class="pointer font-size-18">
                   <i class="ti-plus"></i>
                </span>
                <span ng-click="confirmDeletePentest(pentestBo.id)" class="pointer font-size-18">
                   <i class="ti-trash"></i>
                </span>
                <span class="pointer font-size-18" ng-click="openPopupListError(pentestBo)">
                   <i class="ti-list"></i>
                </span>
                <span class="pointer font-size-18" ng-click="exportPentest(pentestBo)">
                   <i class="ti-export"></i>
                </span>
            </td>
        </tr>
        <tr>
            <td class="text-center" colspan="4" ng-if="pentests.length == 0">No data</td>
        </tr>
        </tbody>
    </table>
</div>
<div th:insert="popup/error_list.html"></div>
<div th:insert="popup/add_error.html"></div>

<div class="modal fade" id="confirm-delete-pentest" tabindex="-1" role="dialog"
     aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterTitle">Confirm</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                Are you sure?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-danger" ng-click="deletePentestById()">Delete</button>
            </div>
        </div>
    </div>
</div>

</body>
<script th:src="@{/jquery-3.4.1.min.js}"></script>
<script th:src="@{/bootstrap.min.js}"></script>
<script th:src="@{/angular.min.js}"></script>
<script th:src="@{/ng-file-upload/ng-file-upload.js}"></script>
<script th:src="@{/app.js}"></script>
<script th:src="@{/directive.js}"></script>
</html>